<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [PlayerBaseTask](./bitburner.playerbasetask.md)

## PlayerBaseTask interface

Base interface of all player tasks.

**Signature:**

```typescript
interface PlayerBaseTask extends BaseTask 
```
**Extends:** [BaseTask](./bitburner.basetask.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[cyclesWorked](./bitburner.playerbasetask.cyclesworked.md)


</td><td>


</td><td>

number


</td><td>

The number of game engine cycles has passed since this task started. 1 engine cycle = 200ms.


</td></tr>
</tbody></table>

